<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPOEditView9Base from './empoedit-view9-base.vue';

import view_form from '@widgets/empo/main2-form/main2-form.vue';

/**
 * 采购订单
 *
 * @export
 * @class EMPOEditView9
 * @extends {EMPOEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPOEditView9 extends EMPOEditView9Base { }
</script>